Get the Interests for a Claim
Path
GET /claims/{claimNumber}/interests Request Parameters
X-Client-Global-Id
number
Client Global Id header. Used for internal communication only
X-Client-Reference
array
Client reference header. Used for internal communication only
claimNumber
required
string
claim number of the requested claim
view
string
Enum:
CLIENT
CONSUMER
Changes the point of view of a response. If no value is provided, the default point of view is CLIENT.
page
integer default: 1
The current page number.
pageSize
integer default: 10
The number of items per page.
Responses
-
arrayinvoiceNumberstringMax length: 40The invoice number assigned by the customer to the invoice to which the costs are to be allocated. If the interest cannot be allocated to a specific invoice, the field can be left blank (`null`).currencystringMax length: 3This reflects all relevant currencies in ISO-4217.originalAmountnumberMax length: 12This is the original amount of the interest. A positive amount indicates a claim against the debtor. Negative amounts or 0 amounts are not allowed.remainingAmountnumberMax length: 12This is the outstanding amount of the interest which needs to be collected by the Debt Collection Agency. A positive amount indicates a claim against the debtor. Negative amounts or 0 amounts are not allowed.fromDatestringyyyy-MM-ddMax length: 10The date when the interest occurred.toDatestringyyyy-MM-ddMax length: 10When the interest rate has changed over time, an end date can be communicated here.capitalizedbooleanMax length: 10This information is particularly important in the context of loans, especially in Nordic countries, where creditors have the ability to charge interest on claims that are marked as capitalized, commonly known as compound interest.descriptionstringMax length: 256This is a description of the interest.objectPagination information for the response.totalItemsrequiredintegerThe total number of items available.pageSizerequiredintegerThe number of items per page.currentPagerequiredintegerThe current page number.totalPagesrequiredintegerThe total number of pages.
-
-
Request Example
null
Response Example
{
"items": [
{
"toDate": "2024-05-23",
"currency": "EUR",
"fromDate": "2027-10-01",
"capitalized": true,
"description": "Inventore qui id.",
"invoiceNumber": "I533814212",
"originalAmount": 600.08,
"remainingAmount": 141.11
},
{
"toDate": "2024-05-22",
"currency": "EUR",
"fromDate": "2026-06-26",
"capitalized": false,
"description": "Esse et saepe.",
"invoiceNumber": "I1740880414",
"originalAmount": 236.85,
"remainingAmount": 133.76
},
{
"toDate": "2024-05-22",
"currency": "EUR",
"fromDate": "2024-11-22",
"capitalized": true,
"description": "Autem molestiae aut.",
"invoiceNumber": "I1541653883",
"originalAmount": 317.48,
"remainingAmount": 242.86
},
{
"toDate": "2024-05-22",
"currency": "EUR",
"fromDate": "2026-06-13",
"capitalized": true,
"description": "Et eum esse.",
"invoiceNumber": "I1920062190",
"originalAmount": 1079.19,
"remainingAmount": 542.59
},
{
"toDate": "2024-05-23",
"currency": "EUR",
"fromDate": "2025-09-12",
"capitalized": false,
"description": "Et non labore.",
"invoiceNumber": "I85767054",
"originalAmount": 983.78,
"remainingAmount": 557.55
},
{
"toDate": "2024-05-22",
"currency": "EUR",
"fromDate": "2027-08-22",
"capitalized": false,
"description": "Id dolorum velit.",
"invoiceNumber": "I383681285",
"originalAmount": 1177.63,
"remainingAmount": 726.92
},
{
"toDate": "2024-05-23",
"currency": "EUR",
"fromDate": "2028-12-08",
"capitalized": true,
"description": "Minus labore totam.",
"invoiceNumber": "I94424227",
"originalAmount": 1137.01,
"remainingAmount": 538.83
},
{
"toDate": "2024-05-23",
"currency": "EUR",
"fromDate": "2029-02-16",
"capitalized": false,
"description": "Id ut dolores.",
"invoiceNumber": "I955300064",
"originalAmount": 780.22,
"remainingAmount": 222.24
},
{
"toDate": "2024-05-23",
"currency": "EUR",
"fromDate": "2027-04-07",
"capitalized": true,
"description": "Quae qui atque.",
"invoiceNumber": "I803011633",
"originalAmount": 775.01,
"remainingAmount": 665.71
},
{
"toDate": "2024-05-22",
"currency": "EUR",
"fromDate": "2024-06-15",
"capitalized": true,
"description": "Exercitationem cupiditate doloremque.",
"invoiceNumber": "I830301259",
"originalAmount": 1319.84,
"remainingAmount": 366.34
}
],
"pagination": {
"totalItems": 10,
"additionalProperties": {}
},
"additionalProperties": {}
}